Katello - Bug #6592

Activation Keys: should refer to Content Host vs System
07/11/2014 03:59 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1118895 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/441
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1118895
Description of problem:

The 'new' and 'edit' screens for Activation Keys should refer to '‘Content Host' instead of 'System’

How reproducible:
always

Steps to Reproduce:

1. Content -> Activation Keys

2a. click 'New Activation Key'

2b. select an existing activation key and go to the Details tab

Actual results:

"System Limit"
"Unlimited Systems"

Expected results:

"Content Host Limit"
"Unlimited Content Hosts"

Additional info:

Associated revisions

Revision 573e4ad1 - 07/11/2014 04:01 PM - Brad Buckingham
fixes #6592 / BZ 1118895 - Activation Keys Ul: replace 'System' references

In the UI, System should be replaced with Content Host on both the
new & edit screens for activation keys.

Revision 26092636 - 07/11/2014 04:01 PM - Brad Buckingham
fixes #6592 / BZ 1118895 - Activation Keys Ul: replace 'System' references

In the UI, System should be replaced with Content Host on both the
new & edit screens for activation keys.

Revision 4c2d278b - 07/14/2014 08:30 AM - Brad Buckingham
Merge pull request #4418 from bbuckingham/issue-6592

fixes #6592 / BZ 1118895 - Activation Keys Ul: replace 'System' references
Revision 6fa558b8 - 07/14/2014 08:30 AM - Brad Buckingham
Merge pull request #4418 from bbuckingham/issue-6592

fixes #6592 / BZ 1118895 - Activation Keys Ul: replace 'System' references

History

#1 - 07/11/2014 04:01 PM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/11/2014 04:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4418 added
- Pull request deleted ()

#3 - 07/14/2014 09:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|573e4ad1b33b899f646fad508e3b5c444a7374ef.

#4 - 08/22/2014 09:02 AM - Eric Helms

- translation missing: en.field_release set to 13
